#include "printf.h"
#include "as31glue.h"
#include "parse.h"	// for event codes

#include "display.h"



/* handle user interface events that related to navigation of */
/* the on-screen information */

void lcd_user_action(unsigned char event)
{
	switch(event) {

	  case E_INC:
		add_new_event(E_VOL_UP);
		break;

	  case E_DEC:
		add_new_event(E_VOL_DOWN);
		break;

	  default:
		printf("Unsupported LCD Navigation, #%d\r\n", event);
	}
}


void lcd_environment_change(unsigned char parm, ...)
{
	parm;



}

void lcd_volume_set(unsigned char attn)
{
	attn;



}


void lcd_rand_set(unsigned char is_rand_mode)
{
	is_rand_mode;



}




void lcd_setup(void)
{
	printf("lcd:");
	printf("\\H0INC         ");	// button 0 down = INC
	printf("\\H@            ");	// button 0 up = <nothing>
	printf("\\HPINC         ");	// button 0 repeat = INC

	printf("\\H1DEC         ");	// button 1 down = INC
	printf("\\HA            ");	// button 1 up = <nothing>
	printf("\\HQDEC         ");	// button 1 repeat = INC

	printf("\\H2PRV_LIST    ");	// button 2 down = PRV_PLAYLIST
	printf("\\HB            ");	// button 2 up = <nothing>
	printf("\\HRPRV_LIST    ");	// button 2 repeat = PRV_PLAYLIST

	printf("\\H3NXT_LIST    ");	// button 3 down = NXT_PLAYLIST
	printf("\\HC            ");	// button 3 up = <nothing>
	printf("\\HSNXT_LIST    ");	// button 3 repeat = NXT_PLAYLIST

	printf("\\H4            ");	// button 4 down = <nothing>
	printf("\\HDPREVIOUS    ");	// button 4 up = PREVIOUS
	printf("\\HTREVERSE     ");	// button 4 repeat = REVERSE

	printf("\\H5PLAY        ");	// button 5 down = PLAY
	printf("\\HE            ");	// button 5 up = <nothing>
	printf("\\HU            ");	// button 5 repeat = <nothing>

	printf("\\H6            ");	// button 6 down = <nothing>
	printf("\\HFNEXT        ");	// button 6 up = NEXT
	printf("\\HVFORWARD     ");	// button 6 repeat = FORWARD

	printf("\\H7UP          ");	// button 7 down = UP
	printf("\\HG            ");	// button 7 up = <nothing>
	printf("\\HWUP          ");	// button 7 repeat = UP

	printf("\\H8LEFT        ");	// button 8 down = LEFT
	printf("\\HH            ");	// button 8 up = <nothing>
	printf("\\HXLEFT        ");	// button 8 repeat = LEFT

	printf("\\H9RIGHT       ");	// button 9 down = RIGHT
	printf("\\HI            ");	// button 9 up = <nothing>
	printf("\\HYRIGHT       ");	// button 9 repeat = RIGHT

	printf("\\H:DOWN        ");	// button 10 down = DOWN
	printf("\\HJ            ");	// button 10 up = <nothing>
	printf("\\HZDOWN        ");	// button 10 repeat = DOWN

	printf("\\H;ENTER       ");	// button 11 down = ENTER
	printf("\\HK            ");	// button 11 up = <nothing>
	printf("\\H[ENTER       ");	// button 11 repeat = ENTER

	printf("\r\n");


}


